<?
/*
###############################
#
# Hall of Shame plugin script for CC
# verified with CC versions 1.9x
# http://www.jkirkpatrick.org/
#
###############################
#
# Date: Jan 09, 2004
# Web: http://www.jkirkpatrick.org
# Mail: plugins@jkirkpatrick.org
#
###############################
#
# This script is copyright 2004 by Jeremiah Kirkpatrick,
# All Rights Reserved.
#
# The use of this script constitutes acceptance of any terms or conditions,
#
# Conditions:
#  -> Do NOT remove any of the copyright notices in the script.
#  -> This script can not be distributed or resold by anyone other than the
#     author, unless special permisson is given.
#  -> You may duplicate this script for backup purposes only
#  -> You must purchase a copy of this script for each site you wish to run it on.
#  -> The author will not be responsible for modifications you make to this script
      for any reason. If you modify it, keep a backup copy.
# The author is not responsible if this script causes any damage to your
# server or computers.
#
#################################
01/23/04 Header sending bug fix
01/23/04 Install/Uninstall Support
01/23/04 About Improvement
01/23/04 Resource Optimizations
01/23/04 Read Me added to the menu
02/06/04 Fixed Buggy Database Piggy-Back Support
03/01/04 Updated path deturmination.
03/02/04 Update Notification.
03/03/04 - Global Session bug Fix
07/15/04 - Brought current with recent specs and template fix.
02/21/05 - Brought current with recent specs and domain update.
04/05/05 - Added Search Username, Reason to the public page.
06/02/05 - Brought up to speed with php5
06/28/05 - Strip/Add Slashes bug fix
06/28/05 - Removal of username requirement and addition of contact email requirement
07/06/05 - Fix "stipslashes" bug on admin page
07/10/05 - Fix missing closing bracket in main.public.php
12/10/05 - Freeware Release
*/

$plugins[]=array("name"=>"Hall of Shame", "classname"=>"hall_of_shame");
class hall_of_shame extends plugin_base
{
	var $class_name = "hall_of_shame";
	var $path = 'hallofshame/';
	var $author = "Jeremiah K.";
	var $web = "http://www.jkirkpatrick.org/";
	var $name = "Hall of Shame (Freeware)";
	var $date = "12-08-05";
	var $table = "hall_of_shame";
	var $version = '1.20';
	var $status;
	var $menu;
	var $file_name;
	var $missing_file="<font color=#FF0000>Missing or renamed required configuration file!</font>\n";
	function hall_of_shame()
	{
		global $mysql_database;
		$this->path=dirname(__FILE__).'/';
		$this->table = mysql_prefix.$this->table;
		$table_list=@mysql_list_tables($mysql_database);
		$this->menu="<h1 align=center>$this->name</h1>
		<p align=center><a href=\"$_SERVER[PHP_SELF]?p_load=$this->class_name\">Main</a>&nbsp|&nbsp;
		<a href=\"$_SERVER[PHP_SELF]?p_load=$this->class_name&page=about\">About</a>&nbsp|&nbsp
		<a href=\"$_SERVER[PHP_SELF]?p_load=$this->class_name&page=readme\">Read Me</a>&nbsp|&nbsp\n";
		for ($i = 0; $i < @mysql_num_rows($table_list); $i++)
		{
		   $table=@mysql_tablename($table_list, $i);
			if($table == $this->table || $_GET['page']=='install')
		      $this->status="<a href=\"$_SERVER[PHP_SELF]?p_load=$this->class_name&page=uninstall\">Uninstall</a></p>";
		}
		if(!$this->status|| $_GET['page']=='uninstall')
			$this->status="<a href=\"$_SERVER[PHP_SELF]?p_load=$this->class_name&page=install\">Install</a></p>";
	}
	function load_page($page, $style=0)
	{
		switch(intval($style))
		{
			case '0':
			if(file_exists($page))
				include($page);
			else
				echo "<font color=#FF0000>Missing or renamed required configuration file!($page)</font>\n";
			break;
			case '1':
			if(file_exists($page))
			{
				echo "<textarea cols=90 rows=40>\n";
				$fp=fopen($page, 'r');
				while(!feof($fp))
					echo fgets ($fp, 1024);
				fclose($fp);
				echo "</textarea>\n";
			}
			else
				echo "<font color=#FF0000>Missing or renamed required configuration file!($page)</font>\n";
			break;
			default:
				echo "<font color=#FF0000>Load Page Error: Invalid load style... death...</font>\n";
				exit(1);
			break;
		}
	}
	function admin_page()
	{
		global $mysql_database, $HTTP_SESSION_VARS;
		if($_GET['page']) $load=&$_GET['page'];
		if($_POST['page']) $load=&$_POST['page'];
		echo $this->menu.$this->status;
		if(method_exists($this, $load))
		{call_user_func(array($this, $load));$this->page_footer();return;}
		$page=$this->path.'main.admin.php';
		if(file_exists($page))
			include($page);
		else
			echo $this->missing_file;
		$this->page_footer();
	}
	function public_page()
	{
		$this->load_page($this->path.'main.public.php', 0);
	}
	function readme()
	{
		$this->load_page($this->path.'README', 1);
	}
	function about()
	{
		$this->load_page($this->path.'about.admin.php', 0);
	}
	function install()
	{
		global $mysql_database;
		$query = "CREATE TABLE ".$this->table." (
 `num` INT( 11 ) NOT NULL AUTO_INCREMENT ,
 `username` VARCHAR( 16 ) NOT NULL ,
 `reason` BLOB NOT NULL ,
 `date` DATETIME NOT NULL ,
 PRIMARY KEY ( `num` )
)";
		if(!@mysql_query($query))
		     return FALSE;
	}
	function uninstall()
	{
		$query = "DROP TABLE ".$this->table;
		if(!@mysql_query($query))
		     return FALSE;
	}
	function page_footer()
	{
		echo '<hr width=80%><table border="0" width="100%" align="center">
<tr bgcolor="#DDDDDD">
<td align="left" colspan="2"><p>These plugins are now offered as freeware to anybody who wishes to use them. </td>
</tr>';
	/*BEGIN COPYRIGHT NOTICE*/
	/*WARNING: TAMPERING WITH THIS SECTION OF CODE OR OTHERWISE CIRCUMVENTING IT'S EXECUTION BY BLOCKING OR REMOVING THE FUNCTION CALLS IS A VIOLATION IN THE FREEWARE LICENSE AGREEMENT WHICH GOVERNS YOUR USE OF THIS SCRIPT.*/
echo '<tr>
<td colspan="2" align="center">
'.$this->name.'<br>
&copy;2006 JKirkpatrick, All Rights Reserved<br>
</td>
</tr>';
	/*END COPYRIGHT NOTICE*/
echo '</table>';
	}
}
